#ifndef MAP_H
#define MAP_H
#include "pixelGameEngine.h"
#include "encounters.h"
#include "trigger.h"

using namespace olc;

namespace MapName{
	enum Map{
		ONETT,
		TWOSON,
	};
}

class Map{
	public:
		std::string filename;
		std::string l2filename;
		std::string l3filename;
		std::string l4filename;
		std::string l5filename;
		std::string l6filename;
		std::string mapname;
		Decal*tileset;
		std::vector<Encounter*> encounters;
		std::vector<Trigger*> triggers;
		MapName::Map myID;
		Map(std::string base_fname,Decal*tileset,std::string mapname,MapName::Map myID)
		:filename(base_fname),l2filename(base_fname+"_2"),l3filename(base_fname+"_3"),l4filename(base_fname+"_4"),l5filename(base_fname+"_5"),l6filename(base_fname+"_6"),mapname(mapname),tileset(tileset),myID(myID) {}
};
#endif