#ifndef STATES_H
#define STATES_H
namespace GameState{
    enum State{
        EDITOR,
        TILE_SELECT,
        OBJ_SELECT,
        ENCOUNTER_SELECT,
        GAME_WORLD,
        OVERWORLD_MENU,
        OVERWORLD_POWER_MENU,
        OVERWORLD_GRADE_MENU,
        OVERWORLD_POWER_PLAYER_MENU,
        OVERWORLD_ITEMS_MENU,
        OVERWORLD_EQUIP_ITEM_MENU,
        OVERWORLD_EQUIP_MENU,
        OVERWORLD_EQUIP_PLAYER_MENU,
        OVERWORLD_STATUS_MENU,
        OVERWORLD_TARGET_MENU,
        SHOPKEEPER_MENU,
        SHOPKEEPER_SELL_MENU,
        SHOPKEEPER_CONFIRM_SELL_MENU,
        TRIGGER_SELECT,
        MAP_SELECT,
        MAP_POSITION_SELECT,
        FILE_LOAD_SELECT,
        DISPLAY_CUTSCENE_TEXT,
    };
}

namespace BattleState{
    enum{
        MOVE_CAMERA,
        WAIT,
        WAIT_ANIMATION,
        SELECT_ACTION,
        POWER_SELECT,
        GRADE_SELECT,
        ITEM_SELECT,
        TARGET_SELECT,
        MOVE_SELECT,
        ENEMY_SPOILS,
        MOVE_CAMERA_BACK,
    };
}
#endif